Subject: Re: [DLPAR CPU][Oops] Bad kernel stack pointer

From: Abdul Haleem <[email-masked]>
Date: Fri, 22 Sep 2017 15:27:04 +0530

On Wed, 2017-09-20 at 21:42 +1000, Michael Ellerman wrote:
> Abdul Haleem <[email-masked]> writes:
> 
> > Hi,
> >
> > Dynamic CPU remove operation resulted in Kernel Panic on today's
> > next-20170915 kernel.
> >
> > Machine Type: Power 7 PowerVM LPAR
> > Kernel : 4.13.0-next-20170915
> > config : attached
> > test: DLPAR CPU remove
> >
> >
> > dmesg logs:
> > ----------
> > cpu 37 (hwid 37) Ready to die...
> > cpu 38 (hwid 38) Ready to die...
> > cpu 39 (hwid 39)
> > ******* RTAS CReady to die...
> > ALL BUFFER CORRUPTION *******
> 
> Cool. Does that come from RTAS itself? I have never seen that happen
> before.

Not sure, the var logs does not have any messages captured. This is
first time we hit this type of issue.
> 
> Is this easily reproducible?

I am unable to reproduce it again. I will keep an eye on our CI runs for
few more runs.

-- 
Regard's

Abdul Haleem
IBM Linux Technology Centre